package org.jeecg.modules.checkData.dynamicStaticGeometricData.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 检查数据-动静态几何尺寸数据-轨检仪静态检查数据
 * </p>
 *
 * @author hkl
 * @since 2023-07-16
 */
@Data
@ApiModel(value = "RailInspectionEquipment对象", description = "检查数据-动静态几何尺寸数据-轨检仪静态检查数据")

public class RailInspectionEquipmentDTO {


    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("检查批次编号")
    private String ekCode;
}
